Publish a new version from the template's source (or another artifact_id / folder_id)
POST
/v1/artifact-templates/{templateId}/versions
const url = 'https://shareout.site/v1/artifact-templates/example/versions';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"version":"1.1.0","notes":"example","artifact_id":"example","folder_id":"example","include_sample_rows":true,"acknowledge_findings":true,"preview":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shareout.site/v1/artifact-templates/example/versions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "version": "1.1.0", "notes": "example", "artifact_id": "example", "folder_id": "example", "include_sample_rows": true, "acknowledge_findings": true, "preview": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”templateId
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
version
string
Example
1.1.0notes
string
artifact_id
string
folder_id
string
include_sample_rows
boolean
acknowledge_findings
boolean
preview
boolean
Responses
Section titled “Responses”New version; installed copies show update available
